# Uses of Class
org.eclipse.draw2d.graph.NodeList

Packages that use NodeList
Package
Description
org.eclipse.draw2d.graph
Stand-alone algorithms related to Graph Drawing.

## Uses of NodeList in org.eclipse.draw2d.graph

Subclasses of NodeList in org.eclipse.draw2d.graph
Modifier and Type
Class
Description
`class`
`Rank`
For Internal Use only.
Fields in org.eclipse.draw2d.graph declared as NodeList
Modifier and Type
Field
Description
`NodeList`
Subgraph.`members`
The children of this subgraph.
`NodeList`
DirectedGraph.`nodes`
All of the nodes in the graph.
`NodeList`
CompoundDirectedGraph.`subgraphs`
For internal use only.
`NodeList`
Edge.`vNodes`
The virtual nodes used to bend edges which go across one or more ranks.
Constructors in org.eclipse.draw2d.graph with parameters of type NodeList
Modifier
Constructor
Description
``
`NodeList(NodeList list)`
Constructs a NodeList with the elements from the specified list.